std::char_traits::eof(3)

NAME
std::char_traits::eof - std::char_traits::eof

Synopsis
   static int_type eof(); (until C++11)
   static constexpr int_type eof() noexcept; (since C++11)
   Returns a value not equivalent to any valid value of type char_type.
   Formally, returns a value e such that X::eq_int_type(e, X::to_int_type(c)) is false
   for all values c.

Parameters
   (none)

Return value
   A value not equivalent to any valid value of type char_type.

Complexity
   Constant.

See also
   not_eof checks whether a character is eof value
   [static] (public static member function)